<%args>
  $identifier   => undef
  $format       => undef
</%args>
<h1><% i18nGettext('I18N_OPENXPKI_CLIENT_HTML_MASON_BINARY_GET_PRIVKEY_PASSWORD_ENTRY_TITLE') %></h1>
<p>
  <% i18nGettext('I18N_OPENXPKI_CLIENT_HTML_MASON_BINARY_GET_PRIVKEY_PASSWORD_ENTRY_DESC') %>
</p>

<& /service/open_form.mhtml,
    'action' => $context->{menu}->get_root() . '/binary/get_privkey.html',
    'method' => 'post',
&>
<& /lib/html/hidden.mhtml,
        'name'  => 'identifier',
        'value' => $identifier, &>
<& /lib/html/hidden.mhtml,
        'name'  => 'format',
        'value' => $format, &>
<table>
  <tr>
    <td><% i18nGettext('I18N_OPENXPKI_CLIENT_HTML_MASON_PASSWD') %></td>
    <td><& /lib/html/input.mhtml, 'name' => 'password' &></td>
  </tr>
</table>
<p>
% if ($format eq 'PKCS12') {
% # for PKCS#12, offer a CSP selection
<% i18nGettext('I18N_OPENXPKI_CLIENT_HTML_MASON_BINARY_GET_PRIVKEY_PASSWORD_PKCS12_CSP_DESC') %>
<table>
  <tr>
    <td><% i18nGettext('I18N_OPENXPKI_CLIENT_HTML_MASON_CSP') %></td>
    <td>
      <select name="csp" size=1 id="csp">
        <option value="" selected>
          <% i18nGettext ("I18N_OPENXPKI_CLIENT_HTML_MASON_GET_PRIVKEY_PASSWORD_NO_SPECIAL_CSP") %>
        </option>
        <option value="csp_freeform">
          <% i18nGettext ("I18N_OPENXPKI_CLIENT_HTML_MASON_GET_PRIVKEY_PASSWORD_CSP_MANUALLY_ENTERED") %>
        </option>
      </select>
    </td>
  </tr>
  <tr>
    <td><% i18nGettext('I18N_OPENXPKI_CLIENT_HTML_MASON_CSP_FREEFORM') %></td>
    <td><& /lib/html/input.mhtml, 'name' => 'csp_freeform' &></td>
  </tr>
</table>
% }
<& /service/send_form.mhtml &>
<& /service/close_form.mhtml &>
